/// <reference types="node" />
/// <reference types="n3" />
import { PassThrough } from "stream";
import N3 = require("n3");
import { Stream } from "stream";
import { JsonLdStreamParser } from "./JsonLdStreamParser";
/**
 * A RdfStreamParser takes a text stream (N3 or JSON-LD) as input and parses it to a triple stream.
 */
export declare class RdfStreamParser extends PassThrough {
    _n3Parser: N3.N3Parser;
    _jsonParser: JsonLdStreamParser;
    constructor(contexts?: {
        [id: string]: string;
    });
    pipeFrom(target: Stream): Stream;
}
