/**
 * A resource class.
 * Fields can be added at runtime, which will always be arrays.
 */
export declare class Resource {
    readonly value: string;
    readonly termType: string;
    constructor(value: string, fields?: any);
    static newString(value: string): Resource;
    static newBoolean(value: boolean): Resource;
    static newTyped(value: any, type: string): Resource;
    hasType(typeUri: string): boolean;
    toString(): string;
}
